tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From QM <qm...@brandxdev.net>
Subject Re: Tomcat 5.0.27 -- Servlet.service() for servlet invoker threw exception
Date Thu, 05 Aug 2004 18:50:57 GMT
On Thu, Aug 05, 2004 at 11:40:48AM -0500, Kyle A. Boyd wrote:
: I recently upgraded from Tomcat 5.0.25 to Tomcat 5.0.27. Now at times my 
: client application is getting a "500 Internal Server Error".
: 
: [snip]
: 
: 2004-08-05 09:20:47 StandardWrapperValve[invoker]: Servlet.service() for 
: servlet invoker threw exception
: java.lang.AbstractMethodError

Assuming your classpath is clean, what happens if you recompile your app
against the 5.0.27 JARs?  This isn't always necessary between minor-rev
changes, but given the definition of AbstractMethodError[1] that'd be the
first place I'd look.

btw, please post *new* messages to the list instead of replying to old
ones and just changing the subject.  This plays hell with thread-aware
mailers, and you risk helpful people skipping past your message (because
it shows up as part of another, unrelated thread).

-QM

[1] = http://java.sun.com/j2se/1.4.2/docs/api/java/lang/AbstractMethodError.html

public class AbstractMethodError
extends IncompatibleClassChangeError

Thrown when an application tries to call an abstract method. Normally,
this error is caught by the compiler; this error can only occur at run
time if the definition of some class has incompatibly changed since the
currently executing method was last compiled. 


-- 

software  -- http://www.brandxdev.net
tech news -- http://www.RoarNetworX.com


---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-user-help@jakarta.apache.org


Mime
View raw message